<template>
  <div>
    <ThemeCommonMobileMainPageWrapper
      back-to="/profile"
      :title="$t('help_center')"
    ></ThemeCommonMobileMainPageWrapper>
    <div class="page-content overflow-auto unset-height unset-padding-b">
      <div class="mx-auto">
        <div
          class="flex flex-col items-start p-2 gap-2"
          :class="{ '!px-2': themeName === 'playful' }"
        >
          <div
            v-for="(aboutUsTitle, index) in headerTitle"
            :key="index"
            class="flex flex-col rounded-lg px-5 bg-background1 w-full help-center-card"
          >
            <nuxt-link
              class="py-[16.5px] m-profile-menu-item"
              :to="'/help-center' + aboutUsTitle.HyperLink"
            >
              <div class="flex justify-between">
                <div class="flex items-center fc-text">
                  <span class="profile-menu-title">
                    {{ aboutUsTitle.Text }}
                  </span>
                </div>
                <div class="flex items-center m-angle-right-container">
                  <font-awesome-icon icon="angle-right" />
                </div>
              </div>
            </nuxt-link>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script lang="ts">
import { defineComponent, computed, ref, watch } from "vue";
import { useRoute } from "vue-router";
import { store } from "@/store";
import { IThemePropertiesFromApi } from "@/models/companyThemePropertiesRespone";

export default defineComponent({
  setup() {
    const themeProperties = computed(
      () => store.state.companyThemePropertiesFromApi.ThemeProperties
    );
    const headerTitle = computed(
      (): Array<IThemePropertiesFromApi> =>
        themePropertyHelper.getMultipleThemesProperties(
          themeProperties.value,
          "footer_menu_info_"
        )
    );
    const headerText = ref("");
    const route = useRoute();
    const isHelpCenter = ref(true);
    const checkRote = () => {
      if (route.meta.title === "Help Center") {
        isHelpCenter.value = true;
      } else {
        isHelpCenter.value = false;
      }
    };
    checkRote();
    watch(
      () => route.fullPath,
      () => {
        checkRote();
      }
    );
    const themeName = store.state.selectedThemeName;
    return {
      headerTitle,
      isHelpCenter,
      headerText,
      themeName,
    };
  },
});
</script>

<style lang="scss">
.about-us h2 {
  font-size: 14px;
  font-weight: bold;
  line-height: 16px;
}

.about-us {
  height: 52px;
}

.bg-about-us {
  background-color: #0b0e30;
}
[theme-color="bk8"] {
  .m-angle-right-container {
    color: var(--text);
  }
}
[layout="peru"] {
  .help-center-card {
    height: 48px;
    padding-left: 16px;
    padding-right: 16px;
    .m-profile-menu-item {
      padding-top: 13px;
      padding-bottom: unset;
    }
  }
}
</style>
<style scoped>
.page-content {
  line-height: 22px;
  text-align: justify;
  background: var(--background2);
  background-size: auto;
  background-size: 112.5rem 44.55rem;
  color: var(--text);
  font-size: 14px;
  height: calc(100vh - 52px);
}

.about-header {
  font-weight: 600;
  font-size: 30px;
  padding-bottom: 20px;
  border-bottom: 0.01rem solid var(--text);
  margin-bottom: 20px;
}

.fs_Bold {
  font-weight: 600;
  margin-bottom: 10px;
  margin-top: 30px;
  font-size: 16px;
}

.page-content p {
  margin-bottom: 10px;
}
[layout="peru"] #header {
  background: var(--background3);
  border-bottom: 2px solid var(--background4);
  color: var(--text5);
}
</style>
